import { EmailRequestDTO } from '../models';
import { NotificationService } from '../services/notification.service';
import { Observable } from 'rxjs';
import { APIResponse } from '3a-common';
export declare class NotificationController {
    private readonly notificationSvc;
    private logger;
    constructor(notificationSvc: NotificationService, loggerEnabled: boolean);
    send(email: EmailRequestDTO): Observable<APIResponse>;
}
