import { ReportRequestDTO, DownloadReportRequestDTO } from '../models';
import { ReportService } from '../services/report.service';
import { Observable } from 'rxjs';
import { APIResponse } from '3a-common';
import { Response } from 'express';
export declare class ReportController {
    private readonly reportSvc;
    private logger;
    constructor(reportSvc: ReportService, loggerEnabled: boolean);
    create(email: ReportRequestDTO): Observable<APIResponse>;
    download(pdf: DownloadReportRequestDTO, res: Response): void;
}
