import { Permission } from '3a-common/dist/authentication';
import { UserDTO } from './dtos';
import { Database } from '3a-common';
import { Observable } from 'rxjs';
export declare function permissionsCheck(resourceID: string, accessLevel: string, permissions: Permission[]): boolean;
export declare function matchWildcards(str: string, rule: string): boolean;
export declare function CanUserPerformAction(db: Database.DatabaseService, resourceIDs: string | string[], user: UserDTO, action: string): Observable<boolean | string[]>;
export declare function withPermissionsCanPerformAction(resourceIDs: string | string[], permissions: Permission[], action: string): boolean | string[];
