import { Auth, ResourceTree } from '3a-common';
import { Database } from '3a-common';
import { Observable } from 'rxjs';
export declare class ResourceNavigationService {
    private readonly db;
    constructor(db: Database.DatabaseService);
    private matchWildcards;
    permissionsCheck(resourceID: string, accessLevel: string, permissions: Auth.Permission[]): boolean;
    getNavigationTree(user: Auth.User, module: string): Observable<ResourceTree>;
    flatUserPermissions(user: Auth.User): Observable<Auth.Permission[]>;
    private createNavigationTree;
    private reduceNavigationTree;
    private directAccessChild;
}
