import { Observable } from 'rxjs';
import { APIResponse } from '3a-common';
import { AppConfig, AttachmentRequestDTO } from '../models';
export declare class NotificationService {
    private AWS;
    private readonly appConfig;
    private ses;
    private logger;
    constructor(AWS: any, appConfig: AppConfig, loggerEnabled: boolean);
    sendEmail(email: string, subject: string, text: string, attachment?: AttachmentRequestDTO, html?: string): Observable<APIResponse>;
    private setupGlobalExceptionNotifications;
}
