import { DatabaseQueryDTO, DatabaseBatchDTO, UserDTO } from '../models';
import { ServerDatabaseService } from '../services/database.service';
import { Observable } from 'rxjs';
export declare class DatabaseController {
    private readonly databaseSvc;
    private logger;
    constructor(databaseSvc: ServerDatabaseService, loggerEnabled: boolean);
    find(quieries: DatabaseQueryDTO[], user?: UserDTO, tableName?: string, index?: string): Observable<any>;
    batchGet(batchInput: DatabaseBatchDTO): Observable<any>;
    slice(quieries: DatabaseQueryDTO[], tableName?: string, indexName?: string): Observable<any>;
}
