import { ResourceService } from '../services/resource.service';
import { Observable } from 'rxjs';
import { ResourceDTO, UserDTO } from '../models';
import { Resource, ResourceTree } from '3a-common';
export declare class ResourceController {
    private readonly resourceSvc;
    private logger;
    constructor(resourceSvc: ResourceService, loggerEnabled: boolean);
    getAll(user: UserDTO): Observable<ResourceTree>;
    get(id: any, user?: UserDTO, tableName?: string, indexName?: string, attribute?: string): Observable<Resource> | Observable<ResourceTree>;
    save(dataDTO: ResourceDTO, user?: UserDTO, tableName?: string, merge?: boolean): Observable<Resource>;
}
