import { UserService } from '../services/users.service';
import { Logger } from '../services';
import { UserDTO } from '../models';
import { Auth, APIResponse } from '3a-common';
import { Observable } from 'rxjs';
export declare class UsersController {
    protected readonly userSvc: UserService;
    protected logger: Logger;
    constructor(userSvc: UserService, loggerEnabled: boolean);
    uncompleted(token: string): Observable<Auth.User>;
    confirm(token: string, id: string, user: UserDTO): Observable<any>;
    add(invited: any): Observable<APIResponse>;
    recover(email: any): Observable<APIResponse>;
}
