import { HttpException, NestInterceptor, ExecutionContext, ExceptionFilter, ArgumentsHost } from '@nestjs/common';
import { Observable } from 'rxjs';
export declare class UnauthorizedException extends HttpException {
    constructor(message: string);
}
export declare class NotFoundException extends HttpException {
    constructor(message: string);
}
export declare class BadRequestException extends HttpException {
    constructor(message: string, request?: any);
}
export declare class ErrorsInterceptor implements NestInterceptor {
    intercept(context: ExecutionContext, call$: Observable<any>): Observable<any>;
}
export declare class ErrorFilter implements ExceptionFilter {
    catch(error: Error, host: ArgumentsHost): any;
}
