import { Observable } from 'rxjs';
import { APIResponse } from '3a-common';
import { AppConfig, AttachmentRequestDTO } from '../models';
import { NotificationService } from './notification.service';
export declare class ReportService {
    private AWS;
    private readonly appConfig;
    private serviceNotification;
    private ses;
    private logger;
    private ipfs;
    constructor(AWS: any, appConfig: AppConfig, loggerEnabled: boolean, serviceNotification: NotificationService);
    downloadReport(attachment: AttachmentRequestDTO, params: any): Observable<APIResponse>;
    createReport(email: string, subject: string, text: string, html?: string, attachment?: AttachmentRequestDTO, params?: JSON): Observable<APIResponse>;
    private generatePDF;
}
